# Class RenderAsXML

java.lang.Object
org.apache.jmeter.visualizers.SamplerResultTab
org.apache.jmeter.visualizers.RenderAsXML

All Implemented Interfaces:
  `ResultRenderer`

public class RenderAsXML extends SamplerResultTab implements ResultRenderer

## Nested Class Summary

### Nested classes/interfaces inherited from class SamplerResultTab

`SamplerResultTab.RowResult`

## Field Summary

### Fields inherited from class SamplerResultTab

`activateSearchExtension, CLIENT_ERROR_COLOR, REDIRECT_COLOR, REQUEST_VIEW_COMMAND, results, resultsScrollPane, rightSide, searchTextExtension, SERVER_ERROR_COLOR, TEXT_COMMAND`

## Constructor Summary

Constructors
Constructor
Description
`RenderAsXML()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearData()`
`void`
`renderResult(SampleResult sampleResult)`
`String`
`toString()`

### Methods inherited from class SamplerResultTab

`init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setupTabPane`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ResultRenderer

`init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setupTabPane`

## Constructor Details

### RenderAsXML

public RenderAsXML()

## Method Details

### renderResult

public void renderResult(SampleResult sampleResult)

Specified by:
  `renderResult` in interface `ResultRenderer`

### clearData

public void clearData()

Specified by:
  `clearData` in interface `ResultRenderer`
Overrides:
  `clearData` in class `SamplerResultTab`

### toString

public String toString()

Specified by:
  `toString` in interface `ResultRenderer`
Overrides:
  `toString` in class `Object`
Returns:
  the string to be displayed by the ComboBox